Sets or gets the path for a domain

- « bind_textdomain_codeset

- dcgettext »

- PHP Manual
- Gettext Functions
- Sets or gets the path for a domain

# bindtextdomain

(PHP 4, PHP 5, PHP 7, PHP 8)

bindtextdomain — Sets or gets the path for a domain

### Description

bindtextdomain(string `$domain`, ?string `$directory`): string|false

The bindtextdomain() function sets or gets the path for a domain.

### Parameters

`domain`

  The domain.

`directory`

  The directory path. An empty string means the current directory. If `null`, the currently set directory is returned.

### Return Values

The full pathname for the `domain` currently being set, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.3 | `directory` is nullable now. Previously, it was not possible to retrieve the currently set directory.

### Examples

Example #1 bindtextdomain() example

    <?php$domain = 'myapp';echo bindtextdomain($domain, '/usr/share/myapp/locale');?>

The above example will output:

    /usr/share/myapp/locale

### Notes

> Note:

> The bindtextdomain() information is maintained per process, not per thread.